Subject: Alpines

From: [email-masked]
Date: 4 Mar 1995 02:10:40 GMT

Is there a group for those interested in alpines?  Is anybody out
there attempting to grow alpines where snow cover is not continuous?
I am in Lethbridge, Alberta (zone 3) and we are subject to punishing
Chinook winds which raise winter temperatures rapidly and drastically
with consequent loss of snow cover.  It would be fun to chat with others
experiencing similar challenges.
Christopher